HS2.0 test with hostapd master branch code strip mail size

Jouni Malinen j at w1.fi
Thu Jul 31 10:29:32 EDT 2014


On Thu, Jul 03, 2014 at 11:11:35AM +0800, xiaobingjian wrote:
> My question as following:
>      1.I think the master trunk code add code support hostspot 2.0 release 2, but sdk code doesn't.  Is it right?

I don't know what exactly is in that "sdk code", but as far as the
hostap.git master branch is concerned, yes, it supports Hotspot 2.0
Release 2.

>      2 .Does Iphone5s  support hostspot2.0 release 2 ?. If I want use Iphone5s to test HS2.0 with master trunk code,   which is best way  modify the code or  hostapd config file ?

That sounds like a station side bug and the best way forward would be to
fix the station device to support Release 2 (Release 1 was supposed to
be forward compatible by allowing the indication elements to be
extended). If you need a workaround to operate with some existing
station devices, you may need to modify hostapd source code to claim it
supports only Release 1.

>     5. If there is no  phone support hostpot2.0 release 2 now , How I test  hostpot2.0 release 2 wich hostpad ? If thers is some phone support, Can you give the type of phone and how to config it.

I'm not aware of any deployed Hotspot 2.0 Release 2 devices. hostap.git
has an example implementation of Release 2 support in wpa_supplicant and
hs20-osu-client which can be used, e.g., on a Linux laptop with the
ath9k driver.

-- 
Jouni Malinen                                            PGP id EFC895FA


More information about the HostAP mailing list